<!DOCTYPE html>
<html lang="en">

<head>
    
    <style>
    * {
        margin: 0;
        padding: 0;
        font-family: Arial, Helvetica, sans-serif;
    }

    .navbar-content-wrapper {
            display: flex;
        }

        .navbar {
            height: 3rem;
            background-color: white;
            padding-left: 3ch;
            padding-right: 3ch;
            display: flex;
            box-shadow: 0 3px 30px rgb(0 0 0 / 0.2);
            justify-content: center;
        }

        .navbar-content {
            width: 100%;
            height: 100%;
            display: flex;

            align-items: center;
            justify-content: center;

            padding-left: 4ch;
            padding-right: 4ch;

            font-size: 12px;
            margin-right: 1ch;
            color: black;
        }

        .navbar-content:hover {
            background-color:bisque;
        }


        .content {
            padding-top: 3rem;

            height: auto;
            display: flex;

            align-items: center;
            flex-direction: column;
        }

        .content-wrapper {
            margin-top: 1.5rem;
            width: auto;
            height: fit-content;
        }
        

        table, td, th {  
            border: 1px solid rgb(199, 142, 142);
            text-align: center;
        }

        table {
            width: 100%;
            color: black;
        }

        td, th {
            padding: 20px;
        }
    </style>

</head>

    <body>

    <div class="navbar">
        <div class="navbar-content-wrapper">
        <a href="/">
            <div class="navbar-content">
            <p>Home</p>
            </div>
        </a>
        <a href="/lab-4/add-note/">
            <div class="navbar-content">
            <p>Form</p>
            </div>
        </a>
        <a href="/lab-4/note-list/">
            <div class="navbar-content">
            <p>Notes</p>
            </div>
        </a>
        <a href="/lab-4/">
            <div class="active navbar-content">
            <p>Summary</p>
            </div>
        </a>
        </div>
    </div>

    <div class="content">
        <h2>Our Table</h2>
        <div class="content-wrapper">
        <table>

            <tr>
                <th>To</th>
                <th>From</th>
                <th>Title</th>
                <th>Message</th>
            </tr>

            {% if notes %}
                {% for note in notes %}
                    <tr>
                        <td>{{ note.note_to }}</td>
                        <td>{{ note.note_from }}</td>
                        <td>{{ note.title }}</td>
                        <td>{{ note.message }}</td>
                    </tr>
                {% endfor %}
            {% endif %}

        </table>
    </div>
    </div>

    </body>
</html>



